<?php

/**
 * Class DepoCartExtension
 * 
 * Extends cart table (with one extra field)
 * Usage
 * 
 *  - on first: add (with id)
 *  - later: update
 */
class CartDepoExt extends ObjectModel {
	public $id_place;
	public $date_add;
	public $date_upd;
	
	public $force_id = TRUE;
	
	public static $definition = [
		'table' => 'cart_depo_ext',
		'primary' => 'id_cart',
		'fields' => [
			'id_place' => ['type' => self::TYPE_STRING],
			'date_add' => ['type' => self::TYPE_DATE, 'validate' => 'isDate'],
			'date_upd' => ['type' => self::TYPE_DATE, 'validate' => 'isDate']
		]
	];
	
	public function getCart() {
		return new Cart($this->id);
	}
}