<?php

/**
 * Class OrderDepoExt
 *
 * Extends orders table (with one extra field)
 * Usage
 * 
 *  - on first: add (with id)
 *  - later: update
 */
class OrderDepoExt extends ObjectModel {
	public $id_place;
	public $number = NULL;
	public $cancelled = FALSE;
	public $date_add;
	public $date_upd;
	
	public $force_id = TRUE;
	
	public static $definition = [
		'table' => 'order_depo_ext',
		'primary' => 'id_order',
		'fields' => [
			'id_place' => ['type' => self::TYPE_STRING],
			'number' => ['type' => self::TYPE_STRING, 'allow_null' => TRUE],
			'cancelled' => ['type' => self::TYPE_BOOL],
			'date_add' => ['type' => self::TYPE_DATE, 'validate' => 'isDate'],
			'date_upd' => ['type' => self::TYPE_DATE, 'validate' => 'isDate']
		]
	];
	
	public function getOrder() {
		return new Order($this->id);
	}
	
	public function logToHistory() {
		$history = new OrderDepoExtHistory();
		$history->id_order = $this->id;
		$history->id_place = $this->id_place;
		$history->number = $this->number;
		$history->cancelled = $this->cancelled;
		$history->add();
	}
}