<?php
namespace DEPOClient\Entities;

use DEPOClient\Exceptions\InvalidEntityException;

class Label extends BaseEntity {
	public $size;
	public $number;
	public $position;
	public $includeLines;

	/** @var string */
	public $pdf_filename = NULL;

	protected $_required = [
		'size',
		'number'
	];

	protected $_DEPO_fields = [
		'size',
		'number',
		'position',
		'includeLines',
	];

	public static $allowed_sizes = ['2x2', '3x5'];
	/**
	 * Labels have no id.
	 * @return null
	 */
	public function getId() {
		return NULL;
	}

	/**
	 * @throws InvalidEntityException
	 */
	protected function _check(){
		if (!in_array($this->size, self::$allowed_sizes)) {
			throw new InvalidEntityException('Invalid Label size: '.$this->size);
		}
	}
}