<?php
namespace DEPOClient\Entities;

class Package extends BaseEntity {
	/** @var $number string|null If this is null, package is not yed managed. */
	public $number = NULL;
	public $target;
	public $recipient_name;
	public $recipient_street;
	public $recipient_zip;
	public $recipient_city;
	public $recipient_country;
	public $recipient_phone;
	public $recipient_email;
	public $cod;
	public $cod_currency;
	public $insurance;
	public $insurance_currency;
	public $size_a;
	public $size_b;
	public $size_c;
	public $weight;
	public $service_18plus;
	public $sender_reference;
	/** @var float|null Approximate price of service */
	public $price;
	
	protected $_required = [
		'target',
		'insurance',
		'recipient_name',
		'recipient_phone',
		'recipient_email',
	];
	
	protected $_DEPO_fields = [
		'number',
		'target',
		'recipient_name',
		'recipient_street',
		'recipient_zip',
		'recipient_city',
		'recipient_country',
		'recipient_phone',
		'recipient_email',
		'cod',
		'cod_currency',
		'insurance',
		'insurance_currency',
		'size_a',
		'size_b',
		'size_c',
		'weight',
		'service_18plus',
		'sender_reference',
		'price',
	];
	
	public function getId() {
		return $this->number;
	}

	public function getNumber() {
		return $this->number;
	}
}