{foreach from=$depo.flashes item=flash}
	<div class="alert alert-{$flash.type}">{l s=$flash.message mod='depocarrier'}</div>
{/foreach}

{if $depo.order_depo->number !== NULL}
	{* ORDER ALREADY HAS PACKAGE NUMBER ASSIGNED *}
	<p>
		{l s='Package number:' mod='depocarrier'} <strong>{$depo.order_depo->number}</strong>
		{if $depo.order_depo->cancelled}
			<strong>({l s='Cancelled' mod='depocarrier'})</strong>
		{/if}
	</p>

	{if !$depo.order_depo->cancelled}
		{* GENERATE PDF LINK *}
		<a href="{$depo.base_link}&action=generate_pdf&size=2x2"
		   target="_blank"
		   class="button button-default">
			<i class="icon-pdf"></i>
			{l s='Get PDF label' mod='depocarrier'}
		</a>

		{* CANCEL PACKAGE LINK *}
		<a href="{$depo.base_link}&action=cancel_package"
		   class="js-depo-ajax button button-warning"
		   data-confirm="{l s='Do you really want to cancel this package?' mod='depocarrier'}">
			<i class="icon-trash"></i>
			{l s='Cancel Package' mod='depocarrier'}
		</a>
	{else}
		{* SEND PACKAGE LINK *}

		<a href="{$depo.base_link}&action=send_package"
		   class="js-depo-ajax button button-success"
		   data-confirm="{l s='Do you really want to send a new package?' mod='depocarrier'}">
			{l s='Send new package' mod='depocarrier'}
		</a>

	{/if}

	<a href="{$depo.base_link}&action=depo_detail"
		class="js-depo-ajax button button-default">
		<i class="icon-search"></i>
		{if isset($depo_api)}
			{l s='Reload Package Detail' mod='depocarrier'}
		{else}
			{l s='Show Package Detail' mod='depocarrier'}
		{/if}
	</a>

	{if isset($depo_detail)}
	{*
	Detail of selected entity
	Contents:
	$depo_api = ['place' => Place, 'package' => Package]
	*}
	<br />
	<br />
	<div class="panel panel-default">
		<h3>{l s='Details of package' mod='depocarrier'} {$depo_detail.package->number}</h3>
		<h4>{l s='Package' mod='depocarrier'}</h4>
		<ul>
			<li>{$depo_detail.package->number}</li>
			<li>{$depo_detail.package->target}</li>
			<li>{$depo_detail.package->recipient_name}</li>
			<li>{$depo_detail.package->recipient_phone}</li>
			<li>{$depo_detail.package->recipient_email}</li>
			<li>{l s='Insurance' mod='depocarrier'} {$depo_detail.package->insurance} {$depo_detail.package->insurance_currency}</li>
			<li>{l s='COD' mod='depocarrier'} {$depo_detail.package->cod} {$depo_detail.package->cod_currency}</li>
		</ul>

		<h4>{l s='Place' mod='depocarrier'}</h4>
		<ul>
			<li>{$depo_detail.place->id}</li>
			<li>{$depo_detail.place->name}</li>
			<li>{$depo_detail.place->street}</li>
			<li>{$depo_detail.place->zip}</li>
		</ul>

	</div>
	{/if}
{else}
	{* SEND PACKAGE LINK *}

	<a href="{$depo.base_link}&action=send_package"
	   class="js-depo-ajax button button-success" >
		{l s="DEPO - send package (does not change order status)" mod="depocarrier"}
	</a>

{/if}

{if !empty($depo.history)}
	<h4>{l s='Package history' mod='depocarrier'}</h4>
	<table class="table">
		<thead>
			<tr>
				<th>{l s='Date' mod='depocarrier'}</th>
				<th>{l s='Place Id' mod='depocarrier'}</th>
				<th>{l s='Package number' mod='depocarrier'}</th>
				<th>{l s='Cancelled' mod='depocarrier'}</th>
			</tr>
		</thead>
		<tbody>
		{foreach from=$depo.history item=h}
			<tr>
				<td>{$h.date_add}</td>
				<td>{$h.id_place}</td>
				<td><a href="{$depo.base_link}&action=depo_detail&package_number={$h.number}"
					   class="js-depo-ajax">{$h.number}</a></td>
				<td>{if $h.cancelled}{l s='Yes' mod='depocarrier'}{/if}</td>
			</tr>
		{/foreach}
		</tbody>
	</table>
{/if}